#!/bin/sh -e

# called by uscan with '--upstream-version' <version> <file>
DIR=ehcache-$2.orig

# clean up the upstream tarball
tar zxf $3
mv ehcache-* $DIR
(cd $DIR; jar xf ehcache-*-sources.jar)
GZIP=--best tar czf $3 --exclude '*.jar' --exclude '*.zip' $DIR
rm -rf $DIR

# move to directory 'tarballs'
if [ -r .svn/deb-layout ]; then
    . .svn/deb-layout
    mv $3 $origDir
    echo "moved $3 to $origDir"
fi

exit 0
